# Installation

## Dependencies

jScroll requires [jQuery](https://jquery.com) **v1.8.0** or higher as a **peer dependency**.

## CDN

### Unpkg

Include the script from [unpkg](https://unpkg.com/) with the version number specified, where `#.#.#` represents the [semver](https://semver.org).

```html
<script src="//unpkg.com/jscroll@#.#.#/dist/jquery.jscroll.min.js"></script>
```

Alternatively, you may omit the version tag to load the latest released version.

```html
<script src="//unpkg.com/jscroll/dist/jquery.jscroll.min.js"></script>
```

### CDNJS

Include the script from [cdnjs](https://cdnjs.com/libraries/jscroll) with the version number specified, where `#.#.#` represents the [semver](https://semver.org).

```html
<script src="https://cdnjs.cloudflare.com/ajax/libs/jscroll/#.#.#/jquery.jscroll.min.js"></script>
```

## Package Managers

### NPM

```bash
$ npm install jscroll --save
```
### Yarn

```bash
$ yarn add jscroll
```

### Bower

```bash
$ bower install jscroll --save
```